--- /dev/null
+DarkRed:#400000
\ No newline at end of file
--- /dev/null
+Brown:#a06000
\ No newline at end of file
--- /dev/null
+#!/bin/bash
+exec sshterm $(basename "$0")
--- /dev/null
+colours
\ No newline at end of file
--- /dev/null
+colours
\ No newline at end of file
--- /dev/null
+#!/bin/bash
+#
+# Script to send keystrokes to urxvt to set foreground or background colours.
+# Usage: $SOME_PATH/<fgbg>/<colour>
+# Notes: fgbg should be 39 (foreground) or 49 (background).
+# colour should be a colour name or a hex code or a string name:#hex
+# Create a hardlink to the script with the name of a new colour.
+# Example: 39/Blue
+# 49/#2569d9
+# 49/CacheLogic:#2569d9
+#
+
+# Find the type by checking which dir we're in and extracting the 39/49 part.
+dir=$(dirname $0)
+fgbg=$(basename $dir)
+
+# Find the desired colour by looking at this script's name.
+colour=$(basename $0)
+colour=${colour#*:}
+
+cat << EOF | xmacroplay $DISPLAY &>/dev/null
+KeyStr Escape
+String iecho -e '\033]$fgbg;$colour\007'
+KeyStr Return
+EOF
--- /dev/null
+#!/bin/bash
+#
+# Script to send keystrokes to urxvt to set foreground or background colours.
+# Usage: $SOME_PATH/<fgbg>/<colour>
+# Notes: fgbg should be 39 (foreground) or 49 (background).
+# colour should be a colour name or a hex code or a string name:#hex
+# Create a hardlink to the script with the name of a new colour.
+# Example: 39/Blue
+# 49/#2569d9
+# 49/CacheLogic:#2569d9
+#
+
+# Find the type by checking which dir we're in and extracting the 39/49 part.
+dir=$(dirname $0)
+fgbg=$(basename $dir)
+
+# Find the desired colour by looking at this script's name.
+colour=$(basename $0)
+colour=${colour#*:}
+
+cat << EOF | xmacroplay $DISPLAY &>/dev/null
+KeyStr Escape
+String iecho -e '\033]$fgbg;$colour\007'
+KeyStr Return
+EOF
--- /dev/null
+#!/bin/bash
+#
+# Script to send keystrokes to urxvt to set foreground or background colours.
+# Usage: $SOME_PATH/<fgbg>/<colour>
+# Notes: fgbg should be 39 (foreground) or 49 (background).
+# colour should be a colour name or a hex code or a string name:#hex
+# Create a hardlink to the script with the name of a new colour.
+# Example: 39/Blue
+# 49/#2569d9
+# 49/CacheLogic:#2569d9
+#
+
+# Find the type by checking which dir we're in and extracting the 39/49 part.
+dir=$(dirname $0)
+fgbg=$(basename $dir)
+
+# Find the desired colour by looking at this script's name.
+colour=$(basename $0)
+colour=${colour#*:}
+
+cat << EOF | xmacroplay $DISPLAY &>/dev/null
+KeyStr Escape
+String iecho -e '\033]$fgbg;$colour\007'
+KeyStr Return
+EOF
--- /dev/null
+#!/bin/bash
+#
+# Script to send keystrokes to urxvt to set foreground or background colours.
+# Usage: $SOME_PATH/<fgbg>/<colour>
+# Notes: fgbg should be 39 (foreground) or 49 (background).
+# colour should be a colour name or a hex code or a string name:#hex
+# Create a hardlink to the script with the name of a new colour.
+# Example: 39/Blue
+# 49/#2569d9
+# 49/CacheLogic:#2569d9
+#
+
+# Find the type by checking which dir we're in and extracting the 39/49 part.
+dir=$(dirname $0)
+fgbg=$(basename $dir)
+
+# Find the desired colour by looking at this script's name.
+colour=$(basename $0)
+colour=${colour#*:}
+
+cat << EOF | xmacroplay $DISPLAY &>/dev/null
+KeyStr Escape
+String iecho -e '\033]$fgbg;$colour\007'
+KeyStr Return
+EOF
--- /dev/null
+#!/bin/bash
+#
+# Script to send keystrokes to urxvt to set foreground or background colours.
+# Usage: $SOME_PATH/<fgbg>/<colour>
+# Notes: fgbg should be 39 (foreground) or 49 (background).
+# colour should be a colour name or a hex code or a string name:#hex
+# Create a hardlink to the script with the name of a new colour.
+# Example: 39/Blue
+# 49/#2569d9
+# 49/CacheLogic:#2569d9
+#
+
+# Find the type by checking which dir we're in and extracting the 39/49 part.
+dir=$(dirname $0)
+fgbg=$(basename $dir)
+
+# Find the desired colour by looking at this script's name.
+colour=$(basename $0)
+colour=${colour#*:}
+
+cat << EOF | xmacroplay $DISPLAY &>/dev/null
+KeyStr Escape
+String iecho -e '\033]$fgbg;$colour\007'
+KeyStr Return
+EOF
--- /dev/null
+#!/bin/bash
+#
+# Script to send keystrokes to urxvt to set foreground or background colours.
+# Usage: $SOME_PATH/<fgbg>/<colour>
+# Notes: fgbg should be 39 (foreground) or 49 (background).
+# colour should be a colour name or a hex code or a string name:#hex
+# Create a hardlink to the script with the name of a new colour.
+# Example: 39/Blue
+# 49/#2569d9
+# 49/CacheLogic:#2569d9
+#
+
+# Find the type by checking which dir we're in and extracting the 39/49 part.
+dir=$(dirname $0)
+fgbg=$(basename $dir)
+
+# Find the desired colour by looking at this script's name.
+colour=$(basename $0)
+colour=${colour#*:}
+
+cat << EOF | xmacroplay $DISPLAY &>/dev/null
+KeyStr Escape
+String iecho -e '\033]$fgbg;$colour\007'
+KeyStr Return
+EOF
--- /dev/null
+#!/bin/bash
+#
+# Script to send keystrokes to urxvt to set foreground or background colours.
+# Usage: $SOME_PATH/<fgbg>/<colour>
+# Notes: fgbg should be 39 (foreground) or 49 (background).
+# colour should be a colour name or a hex code or a string name:#hex
+# Create a hardlink to the script with the name of a new colour.
+# Example: 39/Blue
+# 49/#2569d9
+# 49/CacheLogic:#2569d9
+#
+
+# Find the type by checking which dir we're in and extracting the 39/49 part.
+dir=$(dirname $0)
+fgbg=$(basename $dir)
+
+# Find the desired colour by looking at this script's name.
+colour=$(basename $0)
+colour=${colour#*:}
+
+cat << EOF | xmacroplay $DISPLAY &>/dev/null
+KeyStr Escape
+String iecho -e '\033]$fgbg;$colour\007'
+KeyStr Return
+EOF
--- /dev/null
+#!/bin/bash
+#
+# Script to send keystrokes to urxvt to set foreground or background colours.
+# Usage: $SOME_PATH/<fgbg>/<colour>
+# Notes: fgbg should be 39 (foreground) or 49 (background).
+# colour should be a colour name or a hex code or a string name:#hex
+# Create a hardlink to the script with the name of a new colour.
+# Example: 39/Blue
+# 49/#2569d9
+# 49/CacheLogic:#2569d9
+#
+
+# Find the type by checking which dir we're in and extracting the 39/49 part.
+dir=$(dirname $0)
+fgbg=$(basename $dir)
+
+# Find the desired colour by looking at this script's name.
+colour=$(basename $0)
+colour=${colour#*:}
+
+cat << EOF | xmacroplay $DISPLAY &>/dev/null
+KeyStr Escape
+String iecho -e '\033]$fgbg;$colour\007'
+KeyStr Return
+EOF
--- /dev/null
+#!/bin/bash
+#
+# Script to send keystrokes to urxvt to set foreground or background colours.
+# Usage: $SOME_PATH/<fgbg>/<colour>
+# Notes: fgbg should be 39 (foreground) or 49 (background).
+# colour should be a colour name or a hex code or a string name:#hex
+# Create a hardlink to the script with the name of a new colour.
+# Example: 39/Blue
+# 49/#2569d9
+# 49/CacheLogic:#2569d9
+#
+
+# Find the type by checking which dir we're in and extracting the 39/49 part.
+dir=$(dirname $0)
+fgbg=$(basename $dir)
+
+# Find the desired colour by looking at this script's name.
+colour=$(basename $0)
+colour=${colour#*:}
+
+cat << EOF | xmacroplay $DISPLAY &>/dev/null
+KeyStr Escape
+String iecho -e '\033]$fgbg;$colour\007'
+KeyStr Return
+EOF
--- /dev/null
+#!/bin/bash
+#
+# Script to send keystrokes to urxvt to set foreground or background colours.
+# Usage: $SOME_PATH/<fgbg>/<colour>
+# Notes: fgbg should be 39 (foreground) or 49 (background).
+# colour should be a colour name or a hex code or a string name:#hex
+# Create a hardlink to the script with the name of a new colour.
+# Example: 39/Blue
+# 49/#2569d9
+# 49/CacheLogic:#2569d9
+#
+
+# Find the type by checking which dir we're in and extracting the 39/49 part.
+dir=$(dirname $0)
+fgbg=$(basename $dir)
+
+# Find the desired colour by looking at this script's name.
+colour=$(basename $0)
+colour=${colour#*:}
+
+cat << EOF | xmacroplay $DISPLAY &>/dev/null
+KeyStr Escape
+String iecho -e '\033]$fgbg;$colour\007'
+KeyStr Return
+EOF
--- /dev/null
+#!/bin/bash
+#
+# Script to send keystrokes to urxvt to set foreground or background colours.
+# Usage: $SOME_PATH/<fgbg>/<colour>
+# Notes: fgbg should be 39 (foreground) or 49 (background).
+# colour should be a colour name or a hex code or a string name:#hex
+# Create a hardlink to the script with the name of a new colour.
+# Example: 39/Blue
+# 49/#2569d9
+# 49/CacheLogic:#2569d9
+#
+
+# Find the type by checking which dir we're in and extracting the 39/49 part.
+dir=$(dirname $0)
+fgbg=$(basename $dir)
+
+# Find the desired colour by looking at this script's name.
+colour=$(basename $0)
+colour=${colour#*:}
+
+cat << EOF | xmacroplay $DISPLAY &>/dev/null
+KeyStr Escape
+String iecho -e '\033]$fgbg;$colour\007'
+KeyStr Return
+EOF
--- /dev/null
+#!/bin/bash
+#
+# Script to send keystrokes to urxvt to set foreground or background colours.
+# Usage: $SOME_PATH/<fgbg>/<colour>
+# Notes: fgbg should be 39 (foreground) or 49 (background).
+# colour should be a colour name or a hex code or a string name:#hex
+# Create a hardlink to the script with the name of a new colour.
+# Example: 39/Blue
+# 49/#2569d9
+# 49/CacheLogic:#2569d9
+#
+
+# Find the type by checking which dir we're in and extracting the 39/49 part.
+dir=$(dirname $0)
+fgbg=$(basename $dir)
+
+# Find the desired colour by looking at this script's name.
+colour=$(basename $0)
+colour=${colour#*:}
+
+cat << EOF | xmacroplay $DISPLAY &>/dev/null
+KeyStr Escape
+String iecho -e '\033]$fgbg;$colour\007'
+KeyStr Return
+EOF
--- /dev/null
+#!/bin/bash
+#
+# Script to send keystrokes to urxvt to set foreground or background colours.
+# Usage: $SOME_PATH/<fgbg>/<colour>
+# Notes: fgbg should be 39 (foreground) or 49 (background).
+# colour should be a colour name or a hex code or a string name:#hex
+# Create a hardlink to the script with the name of a new colour.
+# Example: 39/Blue
+# 49/#2569d9
+# 49/CacheLogic:#2569d9
+#
+
+# Find the type by checking which dir we're in and extracting the 39/49 part.
+dir=$(dirname $0)
+fgbg=$(basename $dir)
+
+# Find the desired colour by looking at this script's name.
+colour=$(basename $0)
+colour=${colour#*:}
+
+cat << EOF | xmacroplay $DISPLAY &>/dev/null
+KeyStr Escape
+String iecho -e '\033]$fgbg;$colour\007'
+KeyStr Return
+EOF
--- /dev/null
+#!/bin/bash
+#
+# Script to send keystrokes to urxvt to set foreground or background colours.
+# Usage: $SOME_PATH/<fgbg>/<colour>
+# Notes: fgbg should be 39 (foreground) or 49 (background).
+# colour should be a colour name or a hex code or a string name:#hex
+# Create a hardlink to the script with the name of a new colour.
+# Example: 39/Blue
+# 49/#2569d9
+# 49/CacheLogic:#2569d9
+#
+
+# Find the type by checking which dir we're in and extracting the 39/49 part.
+dir=$(dirname $0)
+fgbg=$(basename $dir)
+
+# Find the desired colour by looking at this script's name.
+colour=$(basename $0)
+colour=${colour#*:}
+
+cat << EOF | xmacroplay $DISPLAY &>/dev/null
+KeyStr Escape
+String iecho -e '\033]$fgbg;$colour\007'
+KeyStr Return
+EOF
--- /dev/null
+#!/bin/bash
+#
+# Script to send keystrokes to urxvt to set foreground or background colours.
+# Usage: $SOME_PATH/<fgbg>/<colour>
+# Notes: fgbg should be 39 (foreground) or 49 (background).
+# colour should be a colour name or a hex code or a string name:#hex
+# Create a hardlink to the script with the name of a new colour.
+# Example: 39/Blue
+# 49/#2569d9
+# 49/CacheLogic:#2569d9
+#
+
+# Find the type by checking which dir we're in and extracting the 39/49 part.
+dir=$(dirname $0)
+fgbg=$(basename $dir)
+
+# Find the desired colour by looking at this script's name.
+colour=$(basename $0)
+colour=${colour#*:}
+
+cat << EOF | xmacroplay $DISPLAY &>/dev/null
+KeyStr Escape
+String iecho -e '\033]$fgbg;$colour\007'
+KeyStr Return
+EOF
--- /dev/null
+#!/bin/bash
+#
+# Script to send keystrokes to urxvt to set foreground or background colours.
+# Usage: $SOME_PATH/<fgbg>/<colour>
+# Notes: fgbg should be 39 (foreground) or 49 (background).
+# colour should be a colour name or a hex code or a string name:#hex
+# Create a hardlink to the script with the name of a new colour.
+# Example: 39/Blue
+# 49/#2569d9
+# 49/CacheLogic:#2569d9
+#
+
+# Find the type by checking which dir we're in and extracting the 39/49 part.
+dir=$(dirname $0)
+fgbg=$(basename $dir)
+
+# Find the desired colour by looking at this script's name.
+colour=$(basename $0)
+colour=${colour#*:}
+
+cat << EOF | xmacroplay $DISPLAY &>/dev/null
+KeyStr Escape
+String iecho -e '\033]$fgbg;$colour\007'
+KeyStr Return
+EOF
--- /dev/null
+#!/bin/bash
+#
+# Script to send keystrokes to urxvt to set foreground or background colours.
+# Usage: $SOME_PATH/<fgbg>/<colour>
+# Notes: fgbg should be 39 (foreground) or 49 (background).
+# colour should be a colour name or a hex code or a string name:#hex
+# Create a hardlink to the script with the name of a new colour.
+# Example: 39/Blue
+# 49/#2569d9
+# 49/CacheLogic:#2569d9
+#
+
+# Find the type by checking which dir we're in and extracting the 39/49 part.
+dir=$(dirname $0)
+fgbg=$(basename $dir)
+
+# Find the desired colour by looking at this script's name.
+colour=$(basename $0)
+colour=${colour#*:}
+
+cat << EOF | xmacroplay $DISPLAY &>/dev/null
+KeyStr Escape
+String iecho -e '\033]$fgbg;$colour\007'
+KeyStr Return
+EOF
--- /dev/null
+#!/bin/bash
+#
+# Script to send keystrokes to urxvt to set foreground or background colours.
+# Usage: $SOME_PATH/<fgbg>/<colour>
+# Notes: fgbg should be 39 (foreground) or 49 (background).
+# colour should be a colour name or a hex code or a string name:#hex
+# Create a hardlink to the script with the name of a new colour.
+# Example: 39/Blue
+# 49/#2569d9
+# 49/CacheLogic:#2569d9
+#
+
+# Find the type by checking which dir we're in and extracting the 39/49 part.
+dir=$(dirname $0)
+fgbg=$(basename $dir)
+
+# Find the desired colour by looking at this script's name.
+colour=$(basename $0)
+colour=${colour#*:}
+
+cat << EOF | xmacroplay $DISPLAY &>/dev/null
+KeyStr Escape
+String iecho -e '\033]$fgbg;$colour\007'
+KeyStr Return
+EOF
--- /dev/null
+#!/bin/bash
+#
+# Script to send keystrokes to urxvt to set foreground or background colours.
+# Usage: $SOME_PATH/<fgbg>/<colour>
+# Notes: fgbg should be 39 (foreground) or 49 (background).
+# colour should be a colour name or a hex code or a string name:#hex
+# Create a hardlink to the script with the name of a new colour.
+# Example: 39/Blue
+# 49/#2569d9
+# 49/CacheLogic:#2569d9
+#
+
+# Find the type by checking which dir we're in and extracting the 39/49 part.
+dir=$(dirname $0)
+fgbg=$(basename $dir)
+
+# Find the desired colour by looking at this script's name.
+colour=$(basename $0)
+colour=${colour#*:}
+
+cat << EOF | xmacroplay $DISPLAY &>/dev/null
+KeyStr Escape
+String iecho -e '\033]$fgbg;$colour\007'
+KeyStr Return
+EOF
--- /dev/null
+ButtonPress 1
+ButtonRelease 1
--- /dev/null
+xscreensaver-command -lock
--- /dev/null
+#!/bin/bash
+
+cat << EOF | xmacroplay $DISPLAY &>/dev/null
+KeyStr Escape
+String iecho -e '\033]2;${1+"$@"}\007'
+KeyStr Return
+EOF
--- /dev/null
+# "Focus window under cursor"
+# Mod4 and Return => Send click at current pointer location.
+"xmacroplay $DISPLAY < ~/.xbindkeys/leftclick"
+ mod4 + Return
--- /dev/null
+#!/bin/bash
+#
+# $Id$
+#
+
+if [ "$1" = "-r" ]; then
+ shift
+ sort_opts="-r"
+fi
+
+awk 'BEGIN { FS=RS }; { print length, $0 }' ${1+"$@"} |
+sort -n $sort_opts |
+sed 's/^[0-9][0-9]* //'
--- /dev/null
+#!/bin/bash
+#
+# $Id$
+#
+
+SSHCOLOURS=~/.ssh/colours
+
+fqdn=${1##*@}
+colour=
+
+# Get colour by regex.
+for path in $(ls "$SSHCOLOURS" | lensort -r); do
+ re=${path##*/}
+ echo "$fqdn" | grep -qs "$re" || continue
+ colour=$(readlink "$SSHCOLOURS/$path")
+ break
+done
+
+if [ ! -z "$colour" ]; then
+ colour=${colour##*/}
+ colour=${colour##*:}
+ echo -e "\033]49;$colour\007"
+ clear
+fi
+
+exec ${SSHTERM_SSH:-ssh} ${1+"$@"}
--- /dev/null
+#!/bin/bash
+#
+# $Id$
+#
+
+${SSHTERM:-xterm} ${SSHTERM_TITLE:--title} "$1" ${SSHTERM_EXEC:--e} \
+sshcolourterm ${1+"$@"}
--- /dev/null
+#!/bin/bash
+#
+# $Id$
+#
+
+if [ $# -lt 2 ]; then
+ echo "Usage: usize <width> <height>"
+ exit 1
+fi
+echo -e "\e[8;$2;$1;t"